import { LitElement } from "lit";
interface Link {
    label: string;
    href?: string;
    collapsed?: Link[];
    hideMobile?: boolean;
    target?: string;
}
/**
 * Joe Header
 * @slot - This element has a slot
 */
declare class JoeHeader extends LitElement {
    static styles: import("lit").CSSResult;
    expanded: boolean;
    showOrderButton: boolean;
    links: Link[];
    render(): import("lit-html").TemplateResult<1>;
    toggle(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        "joe-header": JoeHeader;
    }
}
export {};
